> For the complete documentation index, see [llms.txt](https://developers.tix.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.tix.xyz/api/solana-accounts.md).

# Solana Accounts

## GET /solana/events/{eventId}

> Get an event

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Solana accounts"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-event-account-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"integrator":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"integrator_authority":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"royalty_bps":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"min_royalty_floor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"royalty_recipients_count":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"royalty_recipients":{"type":"array","items":{"type":"object","properties":{"destination":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"bps":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["destination","bps"],"additionalProperties":false}},"total_supply":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"minted":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"flags":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["address","integrator","integrator_authority","royalty_bps","min_royalty_floor","royalty_recipients_count","royalty_recipients","total_supply","minted","flags"],"additionalProperties":false}}},"paths":{"/solana/events/{eventId}":{"get":{"operationId":"get-event-account","summary":"Get an event","tags":["Solana accounts"],"parameters":[{"name":"eventId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-event-account-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /solana/listings/{eventId}/{ticketId}

> Get a listing

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Solana accounts"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-listing-account-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"event_id":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"ticket_id":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"seller":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"ask_price_minor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"buyer_allow":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"payout_ata":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"expires_at":{"type":"string","pattern":"^-?[0-9]+$","description":"Decimal integer from -9223372036854775808 to 9223372036854775807."},"listed_at":{"type":"string","pattern":"^-?[0-9]+$","description":"Decimal integer from -9223372036854775808 to 9223372036854775807."},"permit_version":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"active":{"type":"boolean"}},"required":["address","event_id","ticket_id","seller","ask_price_minor","buyer_allow","payout_ata","expires_at","listed_at","permit_version","active"],"additionalProperties":false}}},"paths":{"/solana/listings/{eventId}/{ticketId}":{"get":{"operationId":"get-listing-account","summary":"Get a listing","tags":["Solana accounts"],"parameters":[{"name":"eventId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}},{"name":"ticketId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-listing-account-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /solana/permits/{eventId}/{ticketId}

> Get a ticket permit

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Solana accounts"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-permit-response":{"type":"object","properties":{"owner":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"status":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"ticket_type_id":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"ticket_type_config":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"version":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"ticket_id":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"listing_lock_expiry":{"type":"string","pattern":"^-?[0-9]+$","description":"Decimal integer from -9223372036854775808 to 9223372036854775807."}},"required":["owner","status","ticket_type_id","ticket_type_config","version","ticket_id","listing_lock_expiry"],"additionalProperties":false}}},"paths":{"/solana/permits/{eventId}/{ticketId}":{"get":{"operationId":"get-permit","summary":"Get a ticket permit","tags":["Solana accounts"],"parameters":[{"name":"eventId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}},{"name":"ticketId","in":"path","required":true,"schema":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-permit-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /solana/protocol-config

> Get protocol configuration

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Solana accounts"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-protocol-config-account-response":{"type":"object","properties":{"address":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"usdc_mint":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"default_royalty_vault":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"authority":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"usdc_decimals":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991},"event_registration_fee_minor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"permit_fee_minor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"p2p_transfer_fee_minor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"resale_fee_bps":{"type":"integer","minimum":-9007199254740991,"maximum":9007199254740991}},"required":["address","usdc_mint","default_royalty_vault","authority","usdc_decimals","event_registration_fee_minor","permit_fee_minor","p2p_transfer_fee_minor","resale_fee_bps"],"additionalProperties":false}}},"paths":{"/solana/protocol-config":{"get":{"operationId":"get-protocol-config-account","summary":"Get protocol configuration","tags":["Solana accounts"],"parameters":[],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-protocol-config-account-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```

## GET /solana/integrators/{identity}

> Get an integrator

```json
{"openapi":"3.1.0","info":{"title":"TIX Developer Platform API","version":"0.3.0"},"tags":[{"name":"Solana accounts"}],"servers":[{"url":"https://api.tix.xyz","description":"Live / Production — real money"},{"url":"https://api.sandbox.tix.xyz","description":"Sandbox / Test money"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","in":"header","name":"x-api-key"}},"schemas":{"get-integrator-account-response":{"type":"object","properties":{"integrator_pda":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"integrator":{"type":"object","properties":{"authority":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"status":{"type":"string","enum":["Active","Suspended"]},"treasury_usdc":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."},"balance":{"type":"object","properties":{"amount_minor":{"type":"string","pattern":"^[0-9]+$","description":"Decimal integer from 0 to 18446744073709551615."},"decimals":{"type":"integer","minimum":0,"maximum":9007199254740991}},"required":["amount_minor","decimals"],"additionalProperties":false}},"required":["authority","status","treasury_usdc","balance"],"additionalProperties":false}},"required":["integrator_pda","integrator"],"additionalProperties":false}}},"paths":{"/solana/integrators/{identity}":{"get":{"operationId":"get-integrator-account","summary":"Get an integrator","tags":["Solana accounts"],"parameters":[{"name":"identity","in":"path","required":true,"schema":{"type":"string","description":"Solana address ([`@solana/kit`](https://www.npmjs.com/package/@solana/kit), `address()`)."}}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/get-integrator-account-response"}}}},"default":{"description":"Unsuccessful request. Error responses may be plain text, JSON, or empty; no common error-body contract is guaranteed."}}}}}}
```
